Skip to main content
GET
/
v2
/
end-users
/
lookup
Look up end users by identity
curl --request GET \
  --url https://api.cdp.coinbase.com/platform/v2/end-users/lookup \
  --header 'Authorization: Bearer <token>'
{
  "endUsers": [
    {
      "userId": "user-001",
      "authenticationMethods": [
        {
          "type": "email",
          "email": "user@example.com"
        }
      ],
      "evmAccounts": [],
      "evmAccountObjects": [],
      "evmSmartAccounts": [],
      "evmSmartAccountObjects": [],
      "solanaAccounts": [],
      "solanaAccountObjects": [],
      "createdAt": "2025-11-17T10:00:00Z"
    }
  ]
}

Authorizations

Authorization
string
header
required

A JWT signed using your CDP API Key Secret, encoded in base64. Refer to the Generate Bearer Token section of our Authentication docs for information on how to generate your Bearer Token.

Query Parameters

email
string<email>

The email address to search for across all email-based authentication methods.

oauthProvider
enum<string>

The OAuth provider to search by. Must be provided together with oauthSubject. The type of OAuth2 provider.

Available options:
google,
apple,
x,
telegram,
github
Example:

"google"

oauthSubject
string

The OAuth subject (the sub claim from the provider's ID token). Must be provided together with oauthProvider.

phoneNumber
string

The E.164-formatted phone number to search for. Must be URL-encoded when passed as a query parameter (e.g. +14155552671%2B14155552671).

Pattern: ^\+[1-9]\d{1,14}$

Response

Successfully looked up end users.

endUsers
object[]
required

The list of end users matching the lookup.